"use strict";
exports.__esModule = true;
/* eslint-disable react/no-unused-prop-types */
var react_1 = require("react");
var ThreestrapContext_1 = require("./ThreestrapContext");
var ALLOWED_CONTROLS = ["orbit"];
var useOrbitControls = function (threestrap, props) {
    (0, react_1.useEffect)(function () {
        if (props.type !== "orbit")
            return;
        if (!threestrap.controls)
            return;
        var controls = threestrap.controls;
        if (props.enablePan !== undefined) {
            controls.enablePan = props.enablePan;
        }
        if (props.enableZoom !== undefined) {
            controls.enableZoom = props.enableZoom;
        }
        if (props.enableRotate !== undefined) {
            controls.enableRotate = props.enableRotate;
        }
    });
};
var Controls = function (props) {
    if (!ALLOWED_CONTROLS.includes(props.type)) {
        throw new Error("Invalid control type ".concat(props.type));
    }
    var threestrap = (0, ThreestrapContext_1.useThreestrap)();
    useOrbitControls(threestrap, props);
    return null;
};
exports["default"] = Controls;
//# sourceMappingURL=Controls.js.map