/* eslint-disable react/no-unused-prop-types */
import { useEffect } from "react";
import { useThreestrap } from "./ThreestrapContext";
var ALLOWED_CONTROLS = ["orbit"];
var useOrbitControls = function (threestrap, props) {
    useEffect(function () {
        if (props.type !== "orbit")
            return;
        if (!threestrap.controls)
            return;
        var controls = threestrap.controls;
        if (props.enablePan !== undefined) {
            controls.enablePan = props.enablePan;
        }
        if (props.enableZoom !== undefined) {
            controls.enableZoom = props.enableZoom;
        }
        if (props.enableRotate !== undefined) {
            controls.enableRotate = props.enableRotate;
        }
    });
};
var Controls = function (props) {
    if (!ALLOWED_CONTROLS.includes(props.type)) {
        throw new Error("Invalid control type ".concat(props.type));
    }
    var threestrap = useThreestrap();
    useOrbitControls(threestrap, props);
    return null;
};
export default Controls;
//# sourceMappingURL=Controls.js.map